"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const VPage_1 = require("../core/VPage");
const element_1 = require("../utils/element");
const utils_1 = require("./utils");
let result;
let savedPage;
let childFrame;
utils_1.launch();
beforeAll(async () => {
    const vPage = await VPage_1.getVPage({});
    await vPage.frame.goto(utils_1.servedFileURL('page.html'));
    result = await vPage.save({});
    await vPage.frame.browser().close();
});
beforeAll(async () => {
    const savedVPage = await VPage_1.getVPage({}, true);
    savedPage = savedVPage.frame;
    await savedPage.goto(utils_1.servedFileURL(result.path));
    childFrame = savedPage.frames()[1];
});
afterAll(async () => {
    await savedPage.browser().close();
});
// test('resource db', async () => {
//     const file = await readFile(resourceDBPath, 'utf8')
//     expect(JSON.parse(file)).toEqual({
//         'http:!!localhost:3000!icon.png': {
//             url: 'http://localhost:3000/icon.png',
//             versions: [
//                 expect.objectContaining({
//                     createdAt: expect.stringMatching(/^\d{4}-/),
//                     hash: expect.stringMatching(/^.{64}$/),
//                     path: expect.stringMatching(/^\d{8}\/.{26}\.png$/),
//                 }),
//             ],
//         },
//     })
// })
// test('metadata', async () => {
//     expect(metadata).toMatchObject({
//         _version: 1,
//         domain: 'localhost',
//         hostname: 'localhost',
//         url: servedFileURL('page'),
//         title: 'Vanilla Test',
//     })
// })
test('element count', async () => {
    await expect(savedPage.$$(`link[rel=stylesheet], [src]:not(${element_1.buildVAttrSelector.src()}):not(a)`)).resolves.toHaveLength(0);
    await expect(savedPage.$$(`head style${element_1.buildVAttrSelector.style()}`)).resolves.toHaveLength(2);
    await expect(savedPage.$$(`head script${element_1.buildVAttrSelector.script()}`)).resolves.toHaveLength(1);
    await expect(savedPage.$$(`body img${element_1.buildVAttrSelector.src(utils_1.servedFileURL('icon.png'))}`)).resolves.toHaveLength(1);
});
test('style[data-vanilla-clipper-style] content', async () => {
    const texts = await savedPage.$$eval(`head style${element_1.buildVAttrSelector.style()}`, els => els.map(el => el.innerHTML));
    expect(texts).toEqual([
        expect.stringContaining('.external'),
        expect.stringContaining('.style-tag'),
    ]);
});
test('[src] attribute', async () => {
    const src = await savedPage.$eval(`img${element_1.buildVAttrSelector.src()}`, img => img.getAttribute('src'));
    expect(src).toMatch(/\.\.\/resources\/[\w-]+\.png/);
});
test('iframe - element count', async () => {
    await expect(childFrame.$$(`link[rel=stylesheet], [src]:not(${element_1.buildVAttrSelector.src()}):not(a)`)).resolves.toHaveLength(0);
    await expect(childFrame.$$(`head style${element_1.buildVAttrSelector.style()}`)).resolves.toHaveLength(2);
    await expect(childFrame.$$(`head script${element_1.buildVAttrSelector.script()}`)).resolves.toHaveLength(1);
    await expect(childFrame.$$(`body img${element_1.buildVAttrSelector.src(utils_1.servedFileURL('icon.png'))}`)).resolves.toHaveLength(1);
});
//# sourceMappingURL=VPage.test.js.map