"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const express_1 = __importDefault(require("express"));
const path_1 = require("path");
const storage_1 = require("./mocks/storage");
const fb = require('../utils/firebase');
exports.publicFilePath = (name) => path_1.resolve(__dirname, 'fixture/public', name);
exports.servedFileURL = (path) => `http://localhost:3000/${path}`;
exports.launch = () => {
    const bucket = storage_1.MockBucket();
    fb.bucket = bucket;
    const app = express_1.default();
    app.use(express_1.default.static(__dirname + '/fixture/public'));
    app.get('/:dir/:name', (req, res) => {
        res.send(bucket.file(`${req.params.dir}/${req.params.name}`).data);
    });
    const server = app.listen(3000);
    afterAll(done => {
        server.close(done);
    });
};
//# sourceMappingURL=utils.js.map