export interface IConfig {
    twitter?: {
        consumerKey: string;
        consumerSecret: string;
        token: string;
        tokenSecret: string;
        userId: string;
    };
    resource: {
        maxSize: number;
    };
    sites: ISite[];
}
declare type PageAction = 'goto' | 'focus' | 'input' | 'click' | 'submit' | 'wait';
export interface ISite {
    url: string;
    userAgent: string;
    accounts: {
        [label: string]: {
            isLoggedIn?: boolean;
            [key: string]: boolean | string | (() => string | Promise<string>) | undefined;
        } | undefined;
    };
    login: [PageAction, ...string[]][];
}
export declare const config: {
    findSite: (url: string) => {
        login(vPage: {
            defaultUserAgent: string;
            save(options: {
                accountLabel?: string | undefined;
                compact?: boolean | undefined;
                element?: string | undefined;
                click?: string | undefined;
                scroll?: string | undefined;
                maxScrolls?: number | undefined;
            }): Promise<{
                url: string;
                html: string;
                mercury: {
                    title: string;
                    content: string;
                    author: string | null;
                    date_published: string | null;
                    lead_image_url: string | null;
                    dek: string | null;
                    next_page_url: string | null;
                    url: string | null;
                    domain: string | null;
                    excerpt: string | null;
                    word_count: number;
                    direction: string | null;
                    total_pages: number;
                    rendered_pages: number;
                };
                path?: undefined;
            } | {
                url: string;
                html: string;
                mercury: {
                    title: string;
                    content: string;
                    author: string | null;
                    date_published: string | null;
                    lead_image_url: string | null;
                    dek: string | null;
                    next_page_url: string | null;
                    url: string | null;
                    domain: string | null;
                    excerpt: string | null;
                    word_count: number;
                    direction: string | null;
                    total_pages: number;
                    rendered_pages: number;
                };
                path: string;
            }>;
            close(): Promise<void>;
            goto(url: string, label?: string): Promise<void>;
            frame: import("puppeteer").Page;
            isPage(frame: import("puppeteer").Page | import("puppeteer").Frame): frame is import("puppeteer").Page;
            initialViewport: import("puppeteer").Viewport | null;
            setInitialViewport(): void;
            setViewportHeight(height: number): Promise<void>;
            resetViewport(): Promise<void>;
            _clip({ compact, element, click, scroll, maxScrolls, }: {
                accountLabel?: string | undefined;
                compact?: boolean | undefined;
                element?: string | undefined;
                click?: string | undefined;
                scroll?: string | undefined;
                maxScrolls?: number | undefined;
            }): Promise<import("../core/VJsdom").HTMLGenerationResult>;
        }, accountLabel?: string): Promise<void>;
        url: string;
        userAgent: string;
        accounts: {
            [label: string]: {
                [key: string]: string | boolean | (() => string | Promise<string>) | undefined;
                isLoggedIn?: boolean | undefined;
            } | undefined;
        };
    } | undefined;
    twitter?: {
        consumerKey: string;
        consumerSecret: string;
        token: string;
        tokenSecret: string;
        userId: string;
    } | undefined;
    resource: {
        maxSize: number;
    };
    sites: ISite[];
};
export {};
