import { EvaluateFn, Frame, Page } from 'puppeteer';
import { StyleSheetData } from '../types';
export declare const VDocument: (frame: Page | Frame, fn: EvaluateFn) => Promise<{
    frame: Page | Frame;
    documentHandle: import("puppeteer").ElementHandle<Element>;
    eval<T, A extends any[]>(fn: (document: Document, ...args: A) => T, ...args: A): Promise<T>;
    $(selector: string): Promise<import("puppeteer").ElementHandle<Element> | null>;
    $$(selector: string): Promise<import("puppeteer").ElementHandle<Element>[]>;
    getHTML(): Promise<{
        html: string;
        location: Location;
    }>;
    getSheetDataList(): Promise<StyleSheetData[]>;
    setUuidToIFramesAndShadowHosts(): Promise<void>;
    embedContentOfShadowDOMs(): Promise<void>;
    replaceObjectURLsWithDataURL(): Promise<void>;
    clipIframes(jsdomIframeElements: HTMLElement[]): Promise<{
        uuid: string;
        html: string;
    }[]>;
    click(selector: string): Promise<void>;
    scrollToBottom({ element, scroll, maxScrolls, }: {
        element?: string | undefined;
        scroll?: string | undefined;
        maxScrolls: number;
    }): Promise<number>;
}>;
