import { dayjs } from 'bluespark';
import { firestore } from 'firebase-admin';
export declare const toDocData: (results: ({
    url: string;
    html: string;
    mercury: {
        title: string;
        content: string;
        author: string | null;
        date_published: string | null;
        lead_image_url: string | null;
        dek: string | null;
        next_page_url: string | null;
        url: string | null;
        domain: string | null;
        excerpt: string | null;
        word_count: number;
        direction: string | null;
        total_pages: number;
        rendered_pages: number;
    };
    path?: undefined;
} | {
    url: string;
    html: string;
    mercury: {
        title: string;
        content: string;
        author: string | null;
        date_published: string | null;
        lead_image_url: string | null;
        dek: string | null;
        next_page_url: string | null;
        url: string | null;
        domain: string | null;
        excerpt: string | null;
        word_count: number;
        direction: string | null;
        total_pages: number;
        rendered_pages: number;
    };
    path: string;
})[], compact?: boolean) => {
    type: "webpageCompact";
    createdAt: firestore.FieldValue;
    publishedAt: dayjs.Dayjs | null;
    url: string;
    hostname: string | null;
    domain: string | null;
    texts: string[];
    author: string | null;
    leadImageDownloadUrl: string | null;
    title: string;
    excerpts: (string | null)[];
} | {
    type: "webpage";
    downloadUrls: string[];
    createdAt: firestore.FieldValue;
    publishedAt: dayjs.Dayjs | null;
    url: string;
    hostname: string | null;
    domain: string | null;
    texts: string[];
    author: string | null;
    leadImageDownloadUrl: string | null;
    title: string;
    excerpts: (string | null)[];
};
export declare const savePage: ({ launchOptions, request: { urls, accountLabel, ...options }, }: {
    createdAt: dayjs.Dayjs | import("firebase").firestore.FieldValue | firestore.FieldValue;
    status: "waiting" | "processing" | "done" | "failed";
    launchOptions: {
        dumpio?: boolean | undefined;
        headless?: boolean | undefined;
        lang?: string | undefined;
        device?: any;
    };
    request: {
        accountLabel?: string | undefined;
        compact?: boolean | undefined;
        element?: string | undefined;
        click?: string | undefined;
        scroll?: string | undefined;
        maxScrolls?: number | undefined;
    } & {
        urls: [string, ...string[]];
    };
}) => Promise<{
    doc: firestore.DocumentReference;
    docData: {
        type: "webpageCompact";
        createdAt: firestore.FieldValue;
        publishedAt: dayjs.Dayjs | null;
        url: string;
        hostname: string | null;
        domain: string | null;
        texts: string[];
        author: string | null;
        leadImageDownloadUrl: string | null;
        title: string;
        excerpts: (string | null)[];
    } | {
        type: "webpage";
        downloadUrls: string[];
        createdAt: firestore.FieldValue;
        publishedAt: dayjs.Dayjs | null;
        url: string;
        hostname: string | null;
        domain: string | null;
        texts: string[];
        author: string | null;
        leadImageDownloadUrl: string | null;
        title: string;
        excerpts: (string | null)[];
    };
}>;
