"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const firebase_functions_1 = require("firebase-functions");
const browserTask_1 = require("../../../src/models/browserTask");
const firebase_1 = require("../utils/firebase");
exports.browserTaskCreated = firebase_functions_1.firestore
    .document('browserTasks/{id}')
    .onCreate(async (snapshot) => {
    const task = browserTask_1.browserTask.ss(snapshot);
    if (!task || task.status !== 'waiting') {
        return;
    }
    const runningTasksQuery = browserTask_1.browserTask.within(firebase_1.db).where('status', '==', 'processing');
    await firebase_1.db.runTransaction(async (t) => {
        const { size } = await t.get(runningTasksQuery);
        if (size === 0) {
            await t.update(snapshot.ref, { status: 'processing' });
        }
    });
});
//# sourceMappingURL=browserTaskCreated.js.map