"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const firebase_functions_1 = require("firebase-functions");
const browserTask_1 = require("../../../src/models/browserTask");
const firebase_1 = require("../utils/firebase");
exports.browserTaskUpdated = firebase_functions_1.firestore
    .document('browserTasks/{id}')
    .onUpdate(async ({ before, after }) => {
    const [_before, _after] = [browserTask_1.browserTask.ss(before), browserTask_1.browserTask.ss(after)];
    if (!_before || !_after) {
        return;
    }
    if (_before.status === 'waiting' && _after.status === 'processing') {
    }
    if (_before.status === 'processing' &&
        (_after.status === 'done' || _after.status === 'failed')) {
        const { docs: [doc], } = await browserTask_1.browserTask
            .within(firebase_1.db)
            .where('status', '==', 'waiting')
            .orderBy('createdAt', 'asc')
            .limit(1)
            .get();
        await doc.ref.update({ status: 'processing' });
    }
});
//# sourceMappingURL=browserTaskUpdated.js.map