import { t } from 'bluespark';
import { VDocument } from './core/VDocument';
export declare type TailArguments<T> = T extends (arg1: any, ...args: infer U) => any ? U : never[];
export declare type PR<T extends (...args: any) => any> = T extends (...args: any) => Promise<infer R> ? R : any;
export interface DataMap {
    [url: string]: string;
}
export declare type DataListItem = [string, string];
export declare type StyleSheetData = {
    type: 'link';
    url: string;
} | {
    type: 'text';
    url: string;
    text: string;
} | {
    type: 'error';
    url: string;
    error: Error;
};
export declare type Sheet = {
    text: string;
    url: string;
};
export declare type VPlugin = (vDocument: PR<typeof VDocument>) => Promise<void>;
export interface VPluginStore {
    beforeLoad: VPlugin[];
    afterLoad: VPlugin[];
}
export interface IFrameData {
    uuid: string;
    html: string;
}
export declare const Metadata: t.TypeC<{
    _version: t.NumberC;
    _createdAt: t.Type<import("dayjs").Dayjs, string, unknown>;
    domain: t.StringC;
    hostname: t.StringC;
    url: t.StringC;
    title: t.StringC;
}>;
