/// <reference types="node" />
export declare const dataURLPattern: RegExp;
export declare function dataURLToBuffer(dataURL: string): {
    buffer: Buffer;
    mimetype: string | undefined;
} | undefined;
export declare function extractExtensionFromURL(url: string): string | null;
export declare function newFilePath(directory: string, basename: string, ext?: string): Promise<string>;
export declare const File: (path: string) => {
    path: string;
    write(data: string | Buffer): Promise<void>;
    readAsText(): Promise<string>;
};
export declare const Directory: (path: string) => {
    path: string;
    childPath(name: string): string;
    subdir(dirname: string): any;
    file(name: string): {
        path: string;
        write(data: string | Buffer): Promise<void>;
        readAsText(): Promise<string>;
    };
    getChildren(): string[];
    stat(name: string): import("fs").Stats;
    fileList(): {
        path: string;
        write(data: string | Buffer): Promise<void>;
        readAsText(): Promise<string>;
    }[];
    dirList(): any[];
};
