import { t } from 'bluespark';
export declare const MercuryResult: t.TypeC<{
    title: t.StringC;
    content: t.StringC;
    author: t.UnionC<[t.StringC, t.NullC]>;
    date_published: t.UnionC<[t.StringC, t.NullC]>;
    lead_image_url: t.UnionC<[t.StringC, t.NullC]>;
    dek: t.UnionC<[t.StringC, t.NullC]>;
    next_page_url: t.UnionC<[t.StringC, t.NullC]>;
    url: t.UnionC<[t.StringC, t.NullC]>;
    domain: t.UnionC<[t.StringC, t.NullC]>;
    excerpt: t.UnionC<[t.StringC, t.NullC]>;
    word_count: t.NumberC;
    direction: t.UnionC<[t.StringC, t.NullC]>;
    total_pages: t.NumberC;
    rendered_pages: t.NumberC;
}>;
export declare const parseMercury: (url: string, html: string) => Promise<import("@yarnaimo/rain").Either<t.Errors, {
    title: string;
    content: string;
    author: string | null;
    date_published: string | null;
    lead_image_url: string | null;
    dek: string | null;
    next_page_url: string | null;
    url: string | null;
    domain: string | null;
    excerpt: string | null;
    word_count: number;
    direction: string | null;
    total_pages: number;
    rendered_pages: number;
}>>;
