"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bluespark_1 = require("bluespark");
const types_1 = require("../../../src/types");
const Mercury = require('@postlight/mercury-parser');
exports.MercuryResult = bluespark_1.t.type({
    title: bluespark_1.t.string,
    content: bluespark_1.t.string,
    author: types_1.stringOrNull,
    date_published: types_1.stringOrNull,
    lead_image_url: types_1.stringOrNull,
    dek: types_1.stringOrNull,
    next_page_url: types_1.stringOrNull,
    url: types_1.stringOrNull,
    domain: types_1.stringOrNull,
    excerpt: types_1.stringOrNull,
    word_count: bluespark_1.t.number,
    direction: types_1.stringOrNull,
    total_pages: bluespark_1.t.number,
    rendered_pages: bluespark_1.t.number,
});
exports.parseMercury = async (url, html) => {
    const result = await Mercury.parse(url, {
        html: Buffer.from(html),
        contentType: 'markdown',
        fetchAllPages: false,
    });
    return exports.MercuryResult.decode(result);
};
//# sourceMappingURL=mercury.js.map