"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const trysafe_1 = require("trysafe");
const utils_1 = require("../utils");
const file_1 = require("../utils/file");
const site_1 = require("./site");
function Config(path) {
    const configModule = trysafe_1.Try(() => require(path)).getOrElseL(l => {
        utils_1.sig.error('Config file not found');
        return { resource: { maxSize: 50 * 1024 * 1024 }, sites: [] };
    });
    return Object.assign({}, configModule, { sites: new site_1.Sites(configModule.sites) });
}
exports.Config = Config;
exports.config = Config(file_1.configFilePath);
//# sourceMappingURL=index.js.map