import { Either } from 'fp-ts/lib/Either';
import { Browser, EmulateOptions, LaunchOptions } from 'puppeteer-core';
import { PageDoc } from '../../src/models/page';
import { VPage } from './VPage';
export declare type VLaunchOptions = {
    verbose?: boolean;
    noSandbox?: boolean;
    headless?: boolean;
    language?: string;
    device?: EmulateOptions;
    userDataDir?: string;
};
export declare type ClipRequest = {
    accountLabel?: string;
    onlyIndex?: boolean;
    element?: string;
    click?: string;
    scroll?: string;
    maxScrolls?: number;
};
export declare type ClipRequestWithURL = ClipRequest & {
    url: string;
};
export declare class VBrowser {
    browser: Browser;
    static clipPages({ verbose, noSandbox, headless, language, device, userDataDir, }: VLaunchOptions, requests: ClipRequestWithURL[]): Promise<Either<{
        url: string;
    }, PageDoc>[]>;
    static launch(noSandbox?: boolean, { args, ...options }?: LaunchOptions, lang?: string): Promise<VBrowser>;
    private constructor();
    newPage(device?: EmulateOptions): Promise<VPage>;
    close(): Promise<void>;
}
