import { ConstructorOptions, JSDOM } from 'jsdom';
import { DateTime } from 'luxon';
import { IFrameData, IMetadata } from '../types';
import { ElementSelector } from '../utils/element';
export declare type HTMLGenerationResult = {
    url: string;
    html: string;
    createdAt?: DateTime;
};
export declare class VJsdom {
    static parseMetadata(meta: HTMLMetaElement): IMetadata;
    dom: JSDOM;
    doctype: string;
    metadata?: IMetadata;
    readonly document: Document;
    readonly location: Location;
    readonly metaElement: HTMLMetaElement | null;
    constructor(html: string, options?: ConstructorOptions);
    generate(): HTMLGenerationResult;
    finder<T extends Element = HTMLElement>(...selectors: ElementSelector[]): T[];
    execPlugins(): void;
    setElementAsRoot(selector: string): void;
    getIframes(): HTMLElement[];
    private replaceVideoElement;
    embedTwitterVideo(tweetID: string): Promise<void>;
    embedIFrameContents(iframeDataList: IFrameData[]): HTMLIFrameElement[];
    processResourcesInAttrs(noStoring?: boolean): Promise<void>;
    optimizeStylesInShadowDOM(): Promise<void>;
    appendStyleSheets(cssTexts: string[], shadowRoot?: ShadowRoot): void;
    appendScriptToHead(): void;
}
