"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const twimo_1 = require("@yarnaimo/twimo");
const VPluginStore_1 = require("./VPluginStore");
exports.jsdomPlugins = new VPluginStore_1.VPluginStore();
// set charset utf-8
exports.jsdomPlugins.add(dom => {
    const els = dom.finder('meta[charset]');
    els.forEach(el => el.remove());
    const meta = dom.document.createElement('meta');
    meta.setAttribute('charset', 'utf-8');
    dom.document.head.prepend(meta);
});
// clean
exports.jsdomPlugins.add(dom => {
    const els = dom.finder('script', 'style', 'link[rel~=stylesheet]', 'link[rel~=dns-prefetch]', 'link[rel~=preload]', 'link[rel~=preconnect]', 'link[rel~=prefetch]', 'link[rel~=prerender]');
    els.forEach(el => el.remove());
});
// remove ads
exports.jsdomPlugins.add(dom => {
    const els = dom.finder('ins.adsbygoogle', 'a[href^="https://rs.adapf.com"]', 'iframe[id^="google_ads_iframe_"]', 'iframe[src^="https://bid.g.doubleclick.net"]', 'iframe[src^="https://tpc.googlesyndication.com"]', 'iframe[src^="https://googleads.g.doubleclick.net"]', 'iframe[src^="https://img.ak.impact-ad.jp"]', 'iframe[src*=".fls.doubleclick.net/"]');
    els.forEach(el => el.remove());
});
// twimg urls to orig
exports.jsdomPlugins.add(dom => {
    const els = dom.finder('img[src^="https://pbs.twimg.com/media/"]');
    els.forEach((el) => {
        el.src = twimo_1.twimgUrlToOrig(el.src);
    });
});
// relative url to absolute
exports.jsdomPlugins.add(dom => {
    const els = dom.finder('[href]', '[src]');
    els.forEach((el) => {
        const { href, src } = el;
        if (href && !el.getAttribute('href').startsWith('#'))
            el.href = href;
        if (src)
            el.src = src;
    });
});
// make <body> scrollable
exports.jsdomPlugins.add(dom => {
    dom.document.body.style.overflow = 'auto';
});
//# sourceMappingURL=index.js.map