import 'fp-ts/lib/Either';
import { Omit } from 'type-fest';
declare type MercuryResult = {
    title: string;
    content: string;
    author: string | null;
    date_published: string | null;
    lead_image_url: string | null;
    dek: string | null;
    next_page_url: string | null;
    url: string | null;
    domain: string | null;
    excerpt: string | null;
    word_count: number;
    direction: string | null;
    total_pages: number;
    rendered_pages: number;
};
export declare type VMercuryResult = Omit<MercuryResult, 'url' | 'domain'>;
declare function parse(url: string, html: string): Promise<import("fp-ts/lib/Either").Either<Error, Pick<MercuryResult, "title" | "content" | "author" | "date_published" | "lead_image_url" | "dek" | "next_page_url" | "excerpt" | "word_count" | "direction" | "total_pages" | "rendered_pages">>>;
export declare const mercury: {
    parse: typeof parse;
};
export {};
