"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const rain_1 = require("@yarnaimo/rain");
require("fp-ts/lib/Either");
const trysafe_1 = require("trysafe");
const Mercury = require('@postlight/mercury-parser');
async function parse(url, html) {
    return trysafe_1.TryAsync(async () => {
        const result = (await Mercury.parse(url, {
            html: Buffer.from(html),
            contentType: 'markdown',
            fetchAllPages: false,
        }));
        if (rain_1.is.nullish(result.title)) {
            throw new Error('Failed to parse with mercury parser');
        }
        delete result.url;
        delete result.domain;
        return result;
    });
}
exports.mercury = { parse };
//# sourceMappingURL=mercury.js.map