import { t } from 'bluespark';
export declare const VLaunchOptions: t.PartialC<{
    dumpio: t.BooleanC;
    headless: t.BooleanC;
    lang: t.StringC;
    device: t.AnyC;
}>;
export declare const ClipRequest: t.PartialC<{
    accountLabel: t.StringC;
    compact: t.BooleanC;
    element: t.StringC;
    click: t.StringC;
    scroll: t.StringC;
    maxScrolls: t.NumberC;
}>;
export declare const ClipRequestWithURLs: t.IntersectionC<[t.PartialC<{
    accountLabel: t.StringC;
    compact: t.BooleanC;
    element: t.StringC;
    click: t.StringC;
    scroll: t.StringC;
    maxScrolls: t.NumberC;
}>, t.TypeC<{
    urls: t.Type<[string, ...string[]], [string, ...string[]], unknown>;
}>]>;
export declare const browserTask: ((doc: import("bluespark/dist/firestore").FirestoreDocumentReference) => {
    get: () => Promise<import("bluespark/dist/blue").ExcludeFieldValue<{
        createdAt: import("dayjs").Dayjs | import("firebase").firestore.FieldValue | FirebaseFirestore.FieldValue;
        status: "waiting" | "processing" | "done" | "failed";
        launchOptions: {
            dumpio?: boolean | undefined;
            headless?: boolean | undefined;
            lang?: string | undefined;
            device?: any;
        };
        request: {
            accountLabel?: string | undefined;
            compact?: boolean | undefined;
            element?: string | undefined;
            click?: string | undefined;
            scroll?: string | undefined;
            maxScrolls?: number | undefined;
        } & {
            urls: [string, ...string[]];
        };
    }>>;
    set: (data: {
        createdAt: import("dayjs").Dayjs | import("firebase").firestore.FieldValue | FirebaseFirestore.FieldValue;
        status: "waiting" | "processing" | "done" | "failed";
        launchOptions: {
            dumpio?: boolean | undefined;
            headless?: boolean | undefined;
            lang?: string | undefined;
            device?: any;
        };
        request: {
            accountLabel?: string | undefined;
            compact?: boolean | undefined;
            element?: string | undefined;
            click?: string | undefined;
            scroll?: string | undefined;
            maxScrolls?: number | undefined;
        } & {
            urls: [string, ...string[]];
        };
    }) => Promise<void | FirebaseFirestore.WriteResult>;
    setMerge: (data: Partial<{
        createdAt: import("dayjs").Dayjs | import("firebase").firestore.FieldValue | FirebaseFirestore.FieldValue;
        status: "waiting" | "processing" | "done" | "failed";
        launchOptions: {
            dumpio?: boolean | undefined;
            headless?: boolean | undefined;
            lang?: string | undefined;
            device?: any;
        };
        request: {
            accountLabel?: string | undefined;
            compact?: boolean | undefined;
            element?: string | undefined;
            click?: string | undefined;
            scroll?: string | undefined;
            maxScrolls?: number | undefined;
        } & {
            urls: [string, ...string[]];
        };
    }>) => Promise<void | FirebaseFirestore.WriteResult>;
    update: (data: Partial<{
        createdAt: import("dayjs").Dayjs | import("firebase").firestore.FieldValue | FirebaseFirestore.FieldValue;
        status: "waiting" | "processing" | "done" | "failed";
        launchOptions: {
            dumpio?: boolean | undefined;
            headless?: boolean | undefined;
            lang?: string | undefined;
            device?: any;
        };
        request: {
            accountLabel?: string | undefined;
            compact?: boolean | undefined;
            element?: string | undefined;
            click?: string | undefined;
            scroll?: string | undefined;
            maxScrolls?: number | undefined;
        } & {
            urls: [string, ...string[]];
        };
    }>) => Promise<void | FirebaseFirestore.WriteResult>;
}) & {
    codec: t.TypeC<{
        createdAt: t.UnionC<[t.Type<import("dayjs").Dayjs, import("firebase").firestore.Timestamp | FirebaseFirestore.Timestamp, unknown>, t.Type<import("bluespark/dist/firestore").FirestoreFieldValue, import("bluespark/dist/firestore").FirestoreFieldValue, unknown>]>;
        status: t.KeyofC<{
            waiting: null;
            processing: null;
            done: null;
            failed: null;
        }>;
        launchOptions: t.PartialC<{
            dumpio: t.BooleanC;
            headless: t.BooleanC;
            lang: t.StringC;
            device: t.AnyC;
        }>;
        request: t.IntersectionC<[t.PartialC<{
            accountLabel: t.StringC;
            compact: t.BooleanC;
            element: t.StringC;
            click: t.StringC;
            scroll: t.StringC;
            maxScrolls: t.NumberC;
        }>, t.TypeC<{
            urls: t.Type<[string, ...string[]], [string, ...string[]], unknown>;
        }>]>;
    }>;
    _A: {
        createdAt: import("dayjs").Dayjs | import("firebase").firestore.FieldValue | FirebaseFirestore.FieldValue;
        status: "waiting" | "processing" | "done" | "failed";
        launchOptions: {
            dumpio?: boolean | undefined;
            headless?: boolean | undefined;
            lang?: string | undefined;
            device?: any;
        };
        request: {
            accountLabel?: string | undefined;
            compact?: boolean | undefined;
            element?: string | undefined;
            click?: string | undefined;
            scroll?: string | undefined;
            maxScrolls?: number | undefined;
        } & {
            urls: [string, ...string[]];
        };
    };
    within: <A extends import("firebase").firestore.DocumentReference | FirebaseFirestore.DocumentReference | import("firebase").firestore.Firestore | FirebaseFirestore.Firestore>(a: A) => ReturnType<A["collection"]>;
    ss: (snapshot: import("bluespark/dist/firestore").FirestoreDocumentSnapshot) => import("bluespark/dist/blue").ExcludeFieldValue<{
        createdAt: import("dayjs").Dayjs | import("firebase").firestore.FieldValue | FirebaseFirestore.FieldValue;
        status: "waiting" | "processing" | "done" | "failed";
        launchOptions: {
            dumpio?: boolean | undefined;
            headless?: boolean | undefined;
            lang?: string | undefined;
            device?: any;
        };
        request: {
            accountLabel?: string | undefined;
            compact?: boolean | undefined;
            element?: string | undefined;
            click?: string | undefined;
            scroll?: string | undefined;
            maxScrolls?: number | undefined;
        } & {
            urls: [string, ...string[]];
        };
    }>;
};
