"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const bluespark_1 = require("bluespark");
exports.VLaunchOptions = bluespark_1.t.partial({
    dumpio: bluespark_1.t.boolean,
    headless: bluespark_1.t.boolean,
    lang: bluespark_1.t.string,
    device: bluespark_1.t.any,
});
exports.ClipRequest = bluespark_1.t.partial({
    accountLabel: bluespark_1.t.string,
    compact: bluespark_1.t.boolean,
    element: bluespark_1.t.string,
    click: bluespark_1.t.string,
    scroll: bluespark_1.t.string,
    maxScrolls: bluespark_1.t.number,
});
exports.ClipRequestWithURLs = bluespark_1.t.intersection([
    exports.ClipRequest,
    bluespark_1.t.type({
        urls: bluespark_1.tr.nonEmptyArray(bluespark_1.t.string),
    }),
]);
exports.browserTask = bluespark_1.blue('browserTasks', bluespark_1.t.type({
    createdAt: bluespark_1.t.union([bluespark_1.DayjsFromFirestoreTimestamp, bluespark_1.FieldValue]),
    status: bluespark_1.t.keyof({
        waiting: null,
        processing: null,
        done: null,
        failed: null,
    }),
    launchOptions: exports.VLaunchOptions,
    request: exports.ClipRequestWithURLs,
}));
//# sourceMappingURL=browserTask.js.map