/// <reference types="pouchdb-find" />
/// <reference types="pouchdb-core" />
/// <reference types="pouchdb-mapreduce" />
/// <reference types="pouchdb-replication" />
import { Either } from 'fp-ts/lib/Either';
import { DateTime } from 'luxon';
import { Merge } from 'type-fest';
import { VMercuryResult } from '../../server/utils/mercury';
export declare type PageDoc = Merge<VMercuryResult, {
    _id: string;
    filename: string | null;
    created_at: string;
    url: string;
    hostname: string | null;
    domain: string | null;
}>;
export declare const pages: Promise<PouchDB.Database<Merge<Pick<{
    title: string;
    content: string;
    author: string | null;
    date_published: string | null;
    lead_image_url: string | null;
    dek: string | null;
    next_page_url: string | null;
    url: string | null;
    domain: string | null;
    excerpt: string | null;
    word_count: number;
    direction: string | null;
    total_pages: number;
    rendered_pages: number;
}, "title" | "content" | "author" | "date_published" | "lead_image_url" | "dek" | "next_page_url" | "excerpt" | "word_count" | "direction" | "total_pages" | "rendered_pages">, {
    _id: string;
    filename: string | null;
    created_at: string;
    url: string;
    hostname: string | null;
    domain: string | null;
}>>>;
export declare function createPageDoc({ _id, url, html, filename, createdAt, }: {
    _id: string;
    url: string;
    html: string;
    filename: string | null;
    createdAt?: DateTime;
}): Promise<Either<Error, PageDoc>>;
