"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const Either_1 = require("fp-ts/lib/Either");
const tldjs_1 = require("tldjs");
const utils_1 = require("../../server/utils");
const mercury_1 = require("../../server/utils/mercury");
const pouchdb_1 = require("../pouchdb");
exports.pages = pouchdb_1.VPouchdb('pages');
async function createPageDoc({ _id, url, html, filename, createdAt, }) {
    const { hostname, domain } = tldjs_1.parse(url);
    const metadata = await mercury_1.mercury.parse(url, html);
    if (metadata.isLeft()) {
        return Either_1.left(metadata.value);
    }
    const doc = Object.assign({ _id,
        filename, created_at: createdAt ? createdAt.toISO() : utils_1.now(), url,
        hostname,
        domain }, metadata.value);
    await (await exports.pages).post(doc);
    return Either_1.right(doc);
}
exports.createPageDoc = createPageDoc;
//# sourceMappingURL=page.js.map