/// <reference types="pouchdb-find" />
/// <reference types="pouchdb-core" />
/// <reference types="pouchdb-mapreduce" />
/// <reference types="pouchdb-replication" />
import 'mime-types';
export declare type ResourceDoc = {
    url: string;
    created_at: string;
    hash: string;
    path: string;
};
export declare const resources: Promise<PouchDB.Database<ResourceDoc>>;
export declare type ResourceCreationTasks = {
    url: string;
    callback: (url: string) => void;
}[];
export declare function batchCreateResources(tasks: ResourceCreationTasks): Promise<void>;
export declare function storeResource(url: string): Promise<{
    version: ResourceDoc;
    url: string;
} | undefined>;
