"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.selectorsToString = exports.buildVAttrSelector = void 0;
const rain_1 = require("@yarnaimo/rain");
const createVAttrFn = (attrName) => (value) => `[${attrName}${value ? `="${value.replace(/"/g, '\\"')}"` : ''}]`;
exports.buildVAttrSelector = {
    src: createVAttrFn('data-vanilla-clipper-src'),
    href: createVAttrFn('data-vanilla-clipper-href'),
    style: createVAttrFn('data-vanilla-clipper-style'),
    script: createVAttrFn('data-vanilla-clipper-script'),
    video: createVAttrFn('data-vanilla-clipper-video'),
    iframeUuid: createVAttrFn('data-vanilla-clipper-iframe-uuid'),
    shadowContent: createVAttrFn('data-vanilla-clipper-shadow-content'),
};
exports.selectorsToString = (...selectors) => selectors
    .map(s => rain_1.is.string(s)
    ? s
    : s.not.reduce((prev, current) => `${prev}:not(${current})`, s.selector))
    .join(', ');
//# sourceMappingURL=element.js.map